Package io.vertx.core.http

## Class GoAway

- java.lang.Object
- - io.vertx.core.http.GoAway

-     public class GoAway
      extends Object

  A GOAWAY frame.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GoAway()` |
    `GoAway​(GoAway that)` |
    `GoAway​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Buffer` | `getDebugData()` |
    `long` | `getErrorCode()` |
    `int` | `getLastStreamId()` |
    `GoAway` | `setDebugData​(Buffer debugData)` | Set the additional debug data
    `GoAway` | `setErrorCode​(long errorCode)` |
    `GoAway` | `setLastStreamId​(int lastStreamId)` | Set the last stream id.
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoAway

          public GoAway()

    - #### GoAway

          public GoAway​(JsonObject json)

    - #### GoAway

          public GoAway​(GoAway that)

  - ### Method Detail

    - #### getErrorCode

          public long getErrorCode()

      Returns:
        the GOAWAY error code

    - #### setErrorCode

          public GoAway setErrorCode​(long errorCode)

    - #### getLastStreamId

          public int getLastStreamId()

      Returns:
        the highest numbered stream identifier for which the sender of the frame might have taken some action on or might yet take action

    - #### setLastStreamId

          public GoAway setLastStreamId​(int lastStreamId)

      Set the last stream id.
      Parameters:
        `lastStreamId` - the last stream id
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDebugData

          public Buffer getDebugData()

      Returns:
        additional debug data

    - #### setDebugData

          public GoAway setDebugData​(Buffer debugData)

      Set the additional debug data
      Parameters:
        `debugData` - the data
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()